
%global meadversion 2.7.7
%global namedversion 2.7.7.redhat-4
%global meadalpha .redhat_4
%global meadrel .1
%global serial 17

%bcond_without mead

%define maven_version 2.7.7.redhat-4

Name:           antlr-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        AntLR Parser Generator
License:        BSD
Group:          Development/Java

%if %with mead
Source100: antlr-2.7.7.redhat-4-scm-sources.zip
Source102: antlr-2.7.7.redhat-4-javadoc.jar
Source103: antlr-2.7.7.redhat-4.jar
Source104: antlr-2.7.7.redhat-4.pom
Source105: antlr-2.7.7.redhat-4-sources.jar
%endif

URL:            http://www.antlr.org/
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/antlr-eap6-%{namedversion}-%{release}-root

%description
A framework for constructing recognizers, compilers, and translators from
grammatical descriptions containing Java, C#, C++, or Python actions.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jar
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/antlr-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/antlr-%{namedversion}.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/antlr-%{namedversion}.jar
%{_javadir}/%{name}/antlr.jar

%changelog
* Wed Sep 11 2013 David Walluck <dwalluck@redhat.com> 0:2.7.7-17
- convert to wrapper for MEAD build (from antlr)

* Mon Sep 09 2013 David Walluck <dwalluck@redhat.com> 0:2.7.7-16
- build with maven (fixes bz#988293)
- patch pom to make real buildable pom
- update Summary, License, %%description from pom
- fix source file perms

* Mon Jan 21 2013 Fernando Nasser <fnasser@redhat.com> 0:2.7.7-15.2.redhat_2
- Instead, do not build repolib unless on RHEL-6

* Thu Jan 17 2013 Fernando Nasser <fnasser@redhat.com> 0:2.7.7-15.1
- BR apache-commons-parent which seems to be needed on RHEL-7

* Wed Aug 15 2012 Paul Gier <pgier@redhat.com> 0:2.7.7-15
- minor change to pom patch

* Tue Aug 14 2012 David Walluck <dwalluck@redhat.com> 0:2.7.7-14
- main pkg doesn't need jpackage-utils for scriptlets
- remove Makefile's from manual doc

* Tue Aug 14 2012 David Walluck <dwalluck@redhat.com> 0:2.7.7-13
- update-alternatives should be %%pre, not %%post
- fix scriptlet sections for native package
- vman should be patch, not standalone pom
- fix missing requires in the antlr package
- use the correct version on files
- remove double BuildRoot definition
- remove GCJ support
- remove old-style repolib
- remove double native option definition
- fix packaging of native bits
- fix options, especially the native option
- fix build which was building native bits regardless of option
- fix bad deploy command
- add more doc
- fix perms on scripts
- fix maven frag name

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.7.7-12_redhat_2.2
- Rebuild unsigned

* Thu Jul 19 2012 David Walluck <dwalluck@redhat.com> 0:2.7.7-12
- fix missing default file perms in main pkg
- fix file perms in short name pkg that resulted in many files with 755 perms
- fix dir ownership in repolib pkg
- don't mark javadoc as doc
- fix Release tag

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.7.7-10_redhat_1.4.2
- Rebuild using cache signing

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.7.7-10_redhat_1.4.1
- Rebuild using cache signing

* Thu Mar 29 2012 Permaine Cheung <pcheung@redhat.com> - 0:2.7.7-10_redhat_1.4
- Move update_maven_depmap to the post and postun section of antlr subpackage

* Wed Mar 28 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.7.7-10_redhat_1.3
- Rebuild with a -eap6 suffix to avoid conflict with RHEL-6 base

* Tue Mar 27 2012 Yong Yang <yyang@redhat.com> - 0:2.7.7-10_redhat_1.2
- Fix pom location in -repolib

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.7.7-10_redhat_1.1
- Rebuild using cache signing

* Mon Feb 06 2012 Yong Yang <yyang@redhat.com> - 0:2.7.7-10_redhat_1
- Fix pom location in -repolib

* Fri Feb 03 2012 Yong Yang <yyang@redhat.com> - 0:2.7.7-9_redhat_1
- Latest vman, resign

* Mon Aug 29 2011 Yong Yang <yyang@redhat.com> - 0:2.7.7-8_redhat_1
- Build for werewolf

* Wed Mar 23 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.7.7-7
- Merge from RHEL6

* Tue Mar 22 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.7.7-1.4
- Rebuild

* Tue Mar 22 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.7.7-1.3
- Rebuild

* Tue Mar 22 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.7.7-1.2
- Rebuild

* Tue Mar 22 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.7.7-1.1
- Add maven2-brew contents to repolib

* Mon Feb 28 2011 David Walluck <dwalluck@redhat.com> 0:2.7.7-1
- 2.7.7

* Sat Jan 09 2010 Will Tatam <will.tatam@red61.com> 0:2.7.6-8
- Auto rebuild for JPackage 6 in centos5 mock

* Mon Nov 02 2009 David Walluck <dwalluck@redhat.com> 0:2.7.6-7
- add maven support

* Mon Apr 13 2009 David Walluck <dwalluck@redhat.com> 0:2.7.6-6
- fix repolib
- fix location of manual
- fix LICENSE.txt eol
- fix macro-in-%%changelog

* Thu Jul 31 2008 David Walluck <dwalluck@redhat.com> 0:2.7.6-5
- fix Release
- update BuildRoot
- remove javadoc scriptlets
- GCJ fixes
- fix permissions
- fix repolib permissions

* Tue May 27 2008 Permaine Cheung <pcheung@redhat.com> - 0:2.7.6-4jpp
- First JPP5 build

* Tue Mar 13 2007 Vivek Lakshmanan <vivekl@redhat.com> - 0:2.7.6-3jpp.ep1.2
- Fix typo in repodir

* Tue Mar 13 2007 Fernando Nasser <fnasser@redhat.com> - 0:2.7.6-3jpp.ep1.1
- New repolib location

* Mon Feb 19 2007 Vivek Lakshmanan <vivekl@redhat.com> - 0:2.7.6-3jpp.el4ep1.2
- Use -brew suffix

* Thu Feb 15 2007 Vivek Lakshmanan <vivekl@redhat.com> - 0:2.7.6-3jpp.el4ep1.1
- Repolib support added

* Wed Aug 02 2006 Fernando Nasser <fnasser@redhat.com> - 0:2.7.6-3jpp_1rh
- Merge with upstream

* Wed Jul 19 2006 Deepak Bhole <dbhole@redhat.om> = 0:2.7.6-3jpp
- Added conditional native compilation.

* Fri Jan 13 2006 Fernando Nasser <fnasser@redhat.com> - 0:2.7.6-2jpp_1rh
- Merge with upstream for upgrade

* Fri Jan 13 2006 Fernando Nasser <fnasser@redhat.com> - 0:2.7.6-2jpp
- First JPP 1.7 build

* Fri Jan 13 2006 Fernando Nasser <fnasser@redhat.com> - 0:2.7.6-1jpp
- Update to 2.7.6.

* Mon Nov 15 2004 Fernando Nasser <fnasser@redhat.com> - 0:2.7.4-2jpp_1rh
- Merge with upstream for upgrade

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.7.4-2jpp
- Build with ant-1.6.2.
- Made native scripts conditional

* Tue May 18 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.7.4-1jpp
- Update to 2.7.4.

* Fri Apr  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.7.3-2jpp
- Create alternatives also on upgrades.

* Wed Mar 31 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.7.3-1jpp
- Update to 2.7.3.
- Include gcj build option and a native subpackage, build using
  "--with native" to get that.
- Add %%{_bindir}/antlr alternative.

* Thu Mar  4 2004 Frank Ch. Eigler <fche@redhat.com - 0:2.7.2-3jpp_1rh
- RH vacuuming

* Mon Dec 15 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.7.2-3jpp
- Add non-versioned javadoc dir symlink.
- Crosslink with local J2SE javadocs.
- Spec cleanups, change to UTF-8.

* Sun Mar 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.7.2-2jpp
- Rebuild for JPackage 1.5.

* Sat Mar  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 2.7.2-1jpp
- Update to 2.7.2.
- Include antlr script and jEdit mode (see antlr-jedit RPM description).
- Use sed instead of bash 2 extension when symlinking jars during build.

* Tue May 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.7.1-8jpp
- really section macro
- hardcoded distribution and vendor tag
- group tag again

* Thu May 2 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.7.1-7jpp
- distribution tag
- group tag
- section macro

* Fri Jan 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.7.1-6jpp
- versioned dir for javadoc
- no dependencies for manual and javadoc packages
- additional sources in individual archives

* Sat Dec 1 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.7.1-5jpp
- javadoc in javadoc package

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 2.7.1-4jpp
- removed packager tag
- new jpp extension

* Sat Oct 6 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.7.1-3jpp
- used a build file instead of makefile
- build classes instead of blindly jared them !
- used original tarball
- corrected license spelling

* Sun Sep 30 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.7.1-2jpp
- first unified release
- s/jPackage/JPackage

* Tue Aug 28 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.7.1-1mdk
- first Mandrake release
